<?

function mes($sis)
{  
	//$sis_mes=date(m);
	if($sis=='1')
		$mes="Enero";
	if($sis==2)
		$mes="Febrero";
	if($sis==3)
		$mes="Marzo";
	if($sis==4)
		$mes="Abril";
	if($sis==5)
		$mes="Mayo";
	if($sis==6)
		$mes="Junio";
	if($sis==7)
		$mes="Julio";
	if($sis==8)
		$mes="Agosto";
	if($sis==9)
		$mes="Septiembre";
	if($sis==10)
		$mes="Octubre";
	if($sis==11)
		$mes="Noviembre";
	if($sis==12)
		$mes="Diciembre";
return $mes;	
}	

function dias_semana($dias)
{
	if($dias=='Monday')
		$res="Lunes";
	if($dias=='Tuesday')
		$res="Martes";
	if($dias=='Wednesday')
		$res="Miércoles";
	if($dias=='Thursday')
		$res="Jueves";
	if($dias=='Friday')
		$res="Viernes";
	if($dias=='Saturday')
		$res="Sábado";
	if($dias=='Sunday')
		$res="Domingo";
	
	return $res;
}

function anteponer_cero($numero)
{
	if($numero<=9):
		return "0".$numero;
	else:
		return $numero;
	endif;
}

function nom_tarea_estado($tarea_estado)
{
	if($tarea_estado==0){
		$nom_tarea_estado='Pendiente';
	}elseif($tarea_estado==1){
		$nom_tarea_estado='Realizado';
	}else{
		$nom_tarea_estado='Anulado';
	}
	
	return $nom_tarea_estado;
}

/*function nom_empresa_grupo($empG_id,$bd)
{
	$conNomEmpGrup = $bd->consulta("select empG_nombre from empresa_grupo where empG_id = '$empG_id'");
	$resNomEmpGrup = $bd->fetch_array($conNomEmpGrup);
	$empG_nombre = $resNomEmpGrup["empG_nombre"];	
	
	return $empG_nombre;
}*/

//CTA DEPENDIENTES
function array_empresa_cta($datos, $bdDepen)
{
	$sql="select nombre, id_fk_cliente_fact, comentario, nombre_plano, nit_plano, id_cta, activo, fecha_creacion, fecha_inactivar,  fecha_activar, permanente from cta where id_cta=$datos";
	$conNomEmpCTA = $bdDepen->consulta($sql);
	while($resNomEmpCTA = $bdDepen->fetch_array($conNomEmpCTA)){
		echo "--".$nombre = $resNomEmpCTA["nombre"];	
		$nombre_plano = $resNomEmpCTA["nombre_plano"];	
		$id_fk_cliente_fact = $resNomEmpCTA["id_fk_cliente_fact"];	
		$comentario = $resNomEmpCTA["comentario"];	

		$nombre=utf8_encode($resNomEmpCTA['nombre']);
		$nombre_plano=utf8_encode($resNomEmpCTA['nombre_plano']);
		$nit_plano=$resNomEmpCTA['nit_plano'];
		$id_fk_cliente_fact=$resNomEmpCTA['id_fk_cliente_fact'];
		$id_cta=$resNomEmpCTA['id_cta'];
		$comentario=utf8_encode($resNomEmpCTA['comentario']);
		$modo=$resNomEmpCTA['modo'];
		$activo=$resNomEmpCTA['activo'];
		$fecha_creacion=$resNomEmpCTA['fecha_creacion'];
		$fecha_activar=$resNomEmpCTA['fecha_activar'];
		$fecha_inactivar=$resNomEmpCTA['fecha_inactivar'];
		$permanente=$resNomEmpCTA['permanente'];

		$array_datos=array('id_fk_cliente_fact'=>$id_fk_cliente_fact, 'nombre'=>$nombre, 'nombre_plano'=>$nombre_plano, 'comentario'=>$comentario, 'id_cta'=>$id_cta, 'modo'=>$modo, 'activo'=>$activo, 'fecha_creacion'=>$fecha_creacion, 'fecha_activar'=>$fecha_activar, 'fecha_inactivar'=>$fecha_inactivar, 'permanente'=>$permanente, 'nit_plano'=>$nit_plano);

	}
	
	return $array_datos;
}

//MASTER OUTSOURCING
function array_master_out($id_master, $bdOut)
{
	$conMas = $bdOut->consulta("select nit_master, nom_master, comen_master from cta_master where id_master = '$id_master'");
	$resMas = $bdOut->fetch_array($conMas);
	$nit_master = $resMas["nit_master"];	
	$nom_master = $resMas["nom_master"];	
	$comen_master = $resMas["comen_master"];	
	$id_master = $resMas["id_master"];	

	$array_datos=array('id_master'=>$id_master, 'nit_master'=>$nit_master, 'nom_master'=>$nom_master, 'comen_master'=>$comen_master);
	
	return $array_datos;
}

function nom_grupo_cta($id_cli, $bdFact)
{
	$sqlGrupo = "SELECT * FROM cliente WHERE id_cli = '$id_cli'";
	$conGrupo = $bdFact->consulta($sqlGrupo);
	$resGrupo = $bdFact->fetch_assoc($conGrupo);
	$nom_cli = utf8_encode($resGrupo['nom_cli']);
	
	return $nom_cli;
}

function array_nom_grupo_cta($var, $bdFact)
{

	$sqlGrupo = "SELECT id_cli, nom_cli, activo_cli, plan_cli FROM cliente WHERE $var ";
    $conGrupo = $bdFact->consulta($sqlGrupo);
    while($resGrupo = $bdFact->fetch_assoc($conGrupo)){
        $nom_cli = utf8_encode($resGrupo['nom_cli']);
        $id_fk_cliente_fact = $resGrupo['id_cli'];
        $activo_cli = $resGrupo['activo_cli'];
        $plan_cli=$resGrupo['plan_cli'];

		$array_datos[]=array('nom_cli'=>$nom_cli, 'id_fk_cliente_fact'=>$id_fk_cliente_fact, 'activo_cli'=>$activo_cli, 'plan_cli'=>$plan_cli);
	
	}
	return $array_datos;
}

function array_planes($id_plan, $bdFact)
{
	$sqlPlanes = "SELECT id_plan, tipo_plan FROM planes WHERE id_plan=$id_plan";
	$conPlanes = $bdFact->consulta($sqlPlanes);
	if($resPlanes = $bdFact->fetch_assoc($conPlanes)){
		$id_plan = $resPlanes['id_plan'];
		$tipo_plan=$resPlanes['tipo_plan'];

		$array_datos=array('id_plan'=>$id_plan, 'tipo_plan'=>$tipo_plan);
	}
	return $array_datos;
}


function nom_empresa_user($id_user, $bdDepen)
{
	$sqlUS = "select nombre from user where id_user = '$id_user'";
	$conUS = $bdDepen->consulta($sqlUS);
	$resUS = $bdDepen->fetch_array($conUS);
	$nombre = $resUS["nombre"];	
	
	return $nombre;
}

function nom_arl($id_arl, $bdConfig)
{
	$sql = "select nom_arl from arl where id_arl = '$id_arl	'";
	$con = $bdConfig->consulta($sql);
	$res = $bdConfig->fetch_array($con);
	$nombre = $res["nom_arl"];	
	
	return $nombre;
}

$seleccionar_grupo=function($fn_conectar, $base){
	//crea un select de eps
	$bd=$fn_conectar($base);
	echo "entro";
	/*$sqlGrupo = "SELECT * FROM cliente WHERE 1";
	$conGrupo = $bd->consulta($sqlGrupo);
	while($resGrupo = $bd->fetch_array($conGrupo)):

		echo "*".$nom_cli=$resGrupo['nom_cli'];

	endwhile;*/

	
}



?>